function a(t, e) {
  if (t === e)
    return !0;
  if (!t || !e)
    return !1;
  var n = Object.keys(t), r = Object.keys(e), u = n.length;
  if (r.length !== u)
    return !1;
  for (var l = 0; l < u; l++) {
    var f = n[l];
    if (t[f] !== e[f] || !Object.prototype.hasOwnProperty.call(e, f))
      return !1;
  }
  return !0;
}
function s(t, e) {
  if (t === e)
    return !0;
  if (!t || !e)
    return !1;
  var n = t.length;
  if (e.length !== n)
    return !1;
  for (var r = 0; r < n; r++)
    if (t[r] !== e[r])
      return !1;
  return !0;
}
export {
  s as shallowEqualArrays,
  a as shallowEqualObjects
};
